%  Draw graphic representation for all gcells.
%
% function draw(self, gv, context)
%
%
% See the function draw_mesh()
%
function draw(self, gv, context)
    if (isfield(context,'rot'))
        context.R = update_rotation_field(field(struct ('name',['R'], 'dim', 9, 'data', ones(get(context.rot,'nfens'),1)*reshape(eye(3),1,9))),context.rot);
    end
    draw_mesh(self, gv, context);
end
