try,avw_blank;catch,error('AVWTk is required; run AVWTk_init');end
dim=  [16,16,16];% dimensions in pixels
pixdim =5*[1, 1, 1];

mkoptions.dim= dim;
mkoptions.pixdim =pixdim;
mkoptions.fill_pixel =1;
mkoptions.name =mfilename;
avw= avw_blank(mkoptions);

%    Z  direction: Spheres
mkoptions.R =norm(pixdim.*dim/2)/4;
mkoptions.center = pixdim.*dim/2;
mkoptions.fill_pixel =2;
avw=avw_fill_sphere(avw,mkoptions);

[t,v,tmid] = voximg_to_T4(avw.img,[1,2]);
[dx, dy, dz]=avw_pixdim(avw);

v(:,1)=dx*v(:,1);v(:,2)=dy*v(:,2);v(:,3)=dz*v(:,3);
Initial_number = size(t,1);
clear coarsening_options;
coarsening_options.stretch=1.25;
coarsening_options.desired_ts =mean([dx,dy,dz]);
f = t4util_bdry(t(find(tmid==1),:));
bv =zeros(size(v,1),1);
bv(f)=1;
coarsening_options.bv=bv;
clear smoothing_options;

disp( ['Mesh size: initial ' num2str(Initial_number)])

tic;
[t,v,tmid] = t4util_coarsen(t,v,tmid,coarsening_options);
Elapsed =toc;
disp( ['Elapsed time ' num2str(Elapsed)])

f = t4util_bdry(t(find(tmid==2),:));
smoothing_options.f=f;
smoothing_options.method='laplace';
[t,v] =smoothing(t,v,smoothing_options);

disp( ['Mesh size: final ' num2str(size(t,1))])

fens =fenodeset(struct('id',(1:size(v,1))','xyz',v));
gcells =gcellset_T4(struct('conn',double(t)));
