font='Times';
Legends = {};

nu=0.49;
uzex= 5.0399e-3;
parshiftmult= 0.;

data=[
  3.8700e+002  5.5900e+002  7.3100e+002  9.0300e+002
  5.0026e-003  5.0247e-003  5.0321e-003  5.0353e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'kv--','lineWIDTH', 3); hold on;
Legends{end+1} ='T10';
data=[
  3.8700e+002  5.5900e+002  7.3100e+002  9.0300e+002
  4.9831e-003  5.0269e-003  5.0355e-003  5.0380e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'ks-','lineWIDTH', 3); hold on;
Legends{end+1} ='H27';
data=[
  3.8700e+002  5.5900e+002  7.3100e+002  9.0300e+002
  4.9298e-003  5.0155e-003  5.0316e-003  5.0362e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'mh-','lineWIDTH', 3); hold on;
Legends{end+1} ='NICE-H27';
data=[
  2.1800e+002  3.1000e+002  4.0200e+002  4.9400e+002
  5.0424e-003  5.0418e-003  5.0415e-003  5.0415e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'ro-','lineWIDTH', 3); hold on;
Legends{end+1} ='H20R';
data=[
  2.1800e+002  3.1000e+002  4.0200e+002  4.9400e+002
  4.8997e-003  5.0067e-003  5.0284e-003  5.0348e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'mo--','lineWIDTH', 3); hold on;
Legends{end+1} ='NICE-H20';
data=[
  2.1800e+002  3.1000e+002  4.0200e+002  4.9400e+002
  4.9836e-003  5.0271e-003  5.0356e-003  5.0381e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'k>--','lineWIDTH', 3); hold on;
Legends{end+1} ='H20';

set(gca,'XLim', [100, 1000]);
set(gca,'YLim', [1e-4, 1e-1]);
xlabel ('number of eqns')
ylabel ('normalized displ error')
legend(Legends,'Location','Southwest')
set(gca,'Position',[0.15 0.15 0.5 0.5]);
set(gca,'FontSize',12);
set(gca,'FontName',font)
l=get(gca,'xlabel');
set (l,'FontSize',14);
set(l,'FontName',font)
l=get(gca,'ylabel');
set (l,'FontSize',14);
set(l,'FontName',font)
hold on; grid on; figure (gcf);
saveas(gcf,[mfilename '.eps'],'eps2c');