function mksphelayrs
    R= 5;
    Ro=3*R;
    thickness =Ro-R;
    nlayers =13;
    [fens,gcells]=H8_sphere(R,1);
    gcells=set(gcells,'label',1);
    V(fens,gcells)
    [fens1,gcells1] = mirror_mesh(fens, gcells, [-1,0,0], [0,0,0], @(c)c([1, 4, 3, 2, 5, 8, 7, 6]));
    [fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, R/1000);
    gcells=cat(gcells1,gcells2);
    V(fens,gcells)
    
    [fens1,gcells1] = mirror_mesh(fens, gcells, [0,-1,0], [0,0,0], @(c)c([1, 4, 3, 2, 5, 8, 7, 6]));
    [fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, R/1000);
    gcells=cat(gcells1,gcells2);
    V(fens,gcells)
    [fens1,gcells1] = mirror_mesh(fens, gcells, [0,0,-1], [0,0,0], @(c)c([1, 4, 3, 2, 5, 8, 7, 6]));
    [fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, R/1000);
    gcells=cat(gcells1,gcells2);
    V(fens,gcells)
    
    function xyz= radially(xyz, layer)
        xyz= (R+layer/nlayers*thickness)*xyz/norm(xyz);
    end
    bg=mesh_bdry(gcells);
    [fens1,gcells1] = Q4_extrude(fens,bg,nlayers,@radially);
    gcells1=set(gcells1,'label',2);
    [fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, R/1000);
    gcells=cat(gcells1,gcells2);
    
    bg=mesh_bdry(gcells);
    %     l=gcell_select(fens,bg,struct ('facing', true, 'direction', [1,1,1]));
    function xyz= radially0(xyz, layer)
        xyz= (Ro+layer/nlayers*thickness)*xyz/norm(xyz);
    end
    [fens1,gcells1] = Q4_extrude(fens,bg,1,@radially0);
    gcells1=set(gcells1,'label',0);
    [fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, R/1000);
    gcells=cat(gcells1,gcells2);
    
    l=gcell_select(fens,gcells,struct ('label', 1));
    gv=drawmesh({fens,mesh_bdry(subset(gcells,l))},'gcells','facecolor','red');
    l=gcell_select(fens,gcells,struct ('label', 2));
    gv=drawmesh({fens,mesh_bdry(subset(gcells,l))},'gv',gv,'gcells','facecolor','blue','facealpha',0.2);
    l=gcell_select(fens,gcells,struct ('label', 0));
    gv=drawmesh({fens,mesh_bdry(subset(gcells,l))},'gv',gv,'gcells','facecolor','y','facealpha',0.2);
    
    function V(fens,gcells)
        geom = field(struct ('name',['geom'], 'dim', 3, 'fens',fens));
        feb = feblock (struct ('mater',[], 'gcells',gcells,...
            'integration_rule', gauss_rule (3,4)));
        disp([' The volume is = '...
            num2str(measure(feb,geom,inline('1'))) ])
    end
end