% TAUT WIRE EXAMPLES
%
% Files
%   <a href="matlab: edit 'assembEx.m'">assembEx.m</a> - Assembly example
%   <a href="matlab: edit 'w1'">w1</a>          - First example for the taut wire
%   <a href="matlab: edit 'w1d'">w1d</a>         - Taut wire, prescribed displacements
%   <a href="matlab: edit 'w1ssupp'">w1ssupp</a>     - Taut wire, Spring support
%   <a href="matlab: edit 'w2'">w2</a>          - Second example for the taut wire
%   <a href="matlab: edit 'woverspec'">woverspec</a>   - Example of over specified boundary conditions
%   <a href="matlab: edit 'wtransient1'">wtransient1</a> - Taut wire: transient vibration, built-in solver
%   <a href="matlab: edit 'wtransient2'">wtransient2</a> - Taut wire: transient vibration, trapezoidal rule
%   <a href="matlab: edit 'wtranssine1'">wtranssine1</a> - Taut wire: sinusoidal initial condition, built-in
%   <a href="matlab: edit 'wtranssine2'">wtranssine2</a> - Taut wire: sinusoidal initial condition, trapezoidal
%   <a href="matlab: edit 'wvib'">wvib</a>        - Free vibration, simply supported
%   <a href="matlab: edit 'wvibfree'">wvibfree</a>    - Free vibration, Free-floating
%   <a href="matlab: edit 'wvibfree2el.m'">wvibfree2el.m</a> - Free vibration, Free-floating, two elements
%   <a href="matlab: edit 'wvib33c'">wvib33c</a>     - Free vibration,  exercise 33-c
%   <a href="matlab: edit 'wvibmix'">wvibmix</a>     - Free vibration, mixture of mass matrices
%   <a href="matlab: edit 'wvibRich'">wvibRich</a>    - Free vibration, Richardson extrapolation
%   <a href="matlab: edit 'wvibTut'">wvibTut</a>     - Free vibration, pin-roller, Tutorial
%   <a href="matlab: edit 'wvibTut1'">wvibTut1</a>    - Free vibration, pin-pin, Tutorial
%   <a href="matlab: edit 'w129b_l2.m'">w129b_l2.m</a> - Deflection/shear force examples from the textbook
%   <a href="matlab: edit 'w129b_l2_uq.m'">w129b_l2_uq.m</a> - Deflection/shear force examples from the textbook
%   <a href="matlab: edit 'w129b_l3.m'">w129b_l3.m</a> - Deflection/shear force examples from the textbook
%   <a href="matlab: edit 'w129b_l3_irreg.m'">w129b_l3_irreg.m</a> - Deflection/shear force examples from the textbook
%   <a href="matlab: edit 'w129b_qu_l3_irreg.m'">w129b_qu_l3_irreg.m</a> - Deflection/shear force examples from the textbook
%   <a href="matlab: edit 'w129b_sin_l3.m'">w129b_sin_l3.m</a> - Deflection/shear force examples from the textbook
%   <a href="matlab: edit 'w1_28b.m'">w1_28b.m</a> - Basic example from the textbook
%   <a href="matlab: edit 'w1_transsine_demo.m'">w1_transsine_demo.m</a> - 
%   <a href="matlab: edit 'wuq3el.m'">wuq3el.m</a> - Uniform load, quadratic elements
%   <a href="matlab: edit 'wtransient2_demo.m'">wtransient2_demo.m</a> - Transient demo
%   <a href="matlab: edit 'wtransient2damp_demo.m'">wtransient2damp_demo.m</a> - Transient demo with damping
%   <a href="matlab: edit 'wtranssine_demo.m'">wtranssine_demo.m</a> - Transient demo with sinusoidal IC

