% 
% FAESOR: for copyright and other information please refer 
% to the <a href="matlab:edit 'README'">README</a> file.
% 
%   FAESOR_init    - Initialize the toolbox. Run this function to
%                   set up the path for the toolbox. If you
%                   encounter weird error messages about files
%                   not being found, the path is not set up
%                   correctly. Run this function!
% 
%   Folders:
%   <a href="matlab:helpwin 'FAESOR/algorithms'">FAESOR/algorithms</a>    - Various algorithms. 
%   <a href="matlab:helpwin 'FAESOR/classes'">FAESOR/classes</a>       - The working classes. 
%   <a href="matlab:helpwin 'FAESOR/documents'">FAESOR/documents</a>     - Various documents.
%   <a href="matlab:helpwin 'FAESOR/examples'">FAESOR/examples</a>      - Script/function drivers for various examples.
%   <a href="matlab:helpwin 'FAESOR/meshing'">FAESOR/meshing</a>       - Mesh command files.
%   <a href="matlab:helpwin 'FAESOR/util'">FAESOR/util</a>          - Utilities.
%   FAESOR/work          - Keep your temporary files here.
%
% FAESOR objects are best viewed with OBgui. See other details under the
% heading FAESOR/classes.
