function [fens,gcells] = golem_mesh
dx=4; dy=6; dz=4;
x0=0; x1=x0+2*dx; x2=x1+dx; x3=x2+dx; x4=x3+dx; x5=x4+2*dx;
y0=0; y1=y0+dy; y2=y1+dy; y3=y2+dy; y4=y3+dy; y5=y4+dy/2; y6=y5+dy;
z0=0; z1=z0+dz;
m1=2; m2=m1; m3=m1; m4=m1; m5=m1;
n1=2; n2=n1; n3=n1; n4=n1; n5=n1; n6=n1;
p1=2;
[fens,gcells] = mesh_hexahedron([x1,y0,z0;x2,y2,z1],m2,n1+n2,p1);
[fens1,gcells1] = mesh_hexahedron([x3,y0,z0;x4,y2,z1],m4,n1+n2,p1);
[fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, eps);
gcells= cat(2,gcells1,gcells2);

[fens1,gcells1] = mesh_hexahedron([x1,y2,z0;x4,y4,z1],m2+m3+m4,n3+n4,p1);
[fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, eps);
gcells= cat(2,gcells1,gcells2);

[fens1,gcells1] = mesh_hexahedron([x1,y4,z0;x4,y5,z1],m2+m3+m4,n5,p1);
[fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, eps);
gcells= cat(2,gcells1,gcells2);

[fens1,gcells1] = mesh_hexahedron([x2,y5,z0;x3,y6,z1],m3,n5,p1);
[fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, eps);
gcells= cat(2,gcells1,gcells2);

[fens1,gcells1] = mesh_hexahedron([x0,y4,z0;x1,y5,z1],m1,n5,p1);
[fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, eps);
gcells= cat(2,gcells1,gcells2);

[fens1,gcells1] = mesh_hexahedron([x4,y4,z0;x5,y5,z1],m5,n5,p1);
[fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, eps);
gcells= cat(2,gcells1,gcells2);

fens = transform_apply(fens,@(x,d)(x-[x4,0,z1]), []);
% fens = transform_apply(fens,@(x,d)([x(3),x(2),x(1)], [])
gv=drawmesh({fens,gcells},'gcells','facecolor','red');
% [fens,gcells] = H8_to_H20(fens,gcells);
