function test_merging
    
    L=2;H=3;
    
    Result=true;
    
    [fensa{1},gcellsa{1}] = Q4_block(L,H,3, 4, 1.0);
    [fensa{2},gcellsa{2}] = Q4_block(L,H,3, 4, 1.0);
    [fens,gcellsa] = merge_n_meshes(fensa, gcellsa, 0.);
    Result=Result&&(count(fens)==40);
    
    [fensa{1},gcellsa{1}] = Q4_block(L,H,3, 4, 1.0);
    [fensa{2},gcellsa{2}] = Q4_block(L,H,3, 4, 1.0);
    [fens,gcellsa] = merge_n_meshes(fensa, gcellsa, 0.01);
    Result=Result&&(count(fens)==20);
      
    [fensa{1},gcellsa{1}] = Q4_block(L,H,3, 4, 1.0);
    [fensa{2},gcellsa{2}] = Q4_block(L,H,3, 4, 1.0);
    [fensa{3},gcellsa{3}] = Q4_block(L,H,3, 4, 1.0);
    [fens,gcellsa] = merge_n_meshes(fensa, gcellsa, 0.);
    Result=Result&&(count(fens)==60);
    
    [fensa{1},gcellsa{1}] = Q4_block(L,H,3, 4, 1.0);
    [fensa{2},gcellsa{2}] = Q4_block(L,H,3, 4, 1.0);
    [fensa{3},gcellsa{3}] = Q4_block(L,H,3, 4, 1.0);
    [fens,gcellsa] = merge_n_meshes(fensa, gcellsa, 0.01);
    Result=Result&&(count(fens)==20);
    
    [fensa{1},gcellsa{1}] = Q4_block(L,H,3, 4, 1.0);
    fensa{2} = transform_apply(fensa{1},@(x,d)x+[L,0], []);
    gcellsa{2} =gcellsa{1};
    [fens,gcellsa] = merge_n_meshes(fensa, gcellsa, 0.01);
    Result=Result&&(count(fens)==40-5);
    
    
    [fensa{1},gcellsa{1}] = Q4_block(L,H,3, 4, 1.0);
    fensa{2} = transform_apply(fensa{1},@(x,d)x+[L,0], []);
    gcellsa{2} =gcellsa{1};
    fensa{3} = transform_apply(fensa{1},@(x,d)x+[0,H], []);
    gcellsa{3} =gcellsa{1};
    [fens,gcellsa] = merge_n_meshes(fensa, gcellsa, 0.01);
    Result=Result&&(count(fens)==60-5-4);
    
    gv=drawmesh({fens,gcellsa{1}},'nodes'); 
    for j=1:length(gcellsa)
    gv=drawmesh({fens,gcellsa{j}},'gv',gv,'gcells'); 
    end 
    
    Result
    assignin('caller','faesor_test_passed',Result);
end