% 3-D STRESS ANALYSIS EXAMPLES
%
% Files
%   <a href="matlab: edit 'MechPartVibr.m'">MechPartVibr.m</a> - Mechanical part modal analysis
%   <a href="matlab: edit 'Rod_cable_analogy.m'">Rod_cable_analogy.m</a> - Investigation of cable vibration via the rod analogy
%   <a href="matlab: edit 'Rod_cable_analogy_big.m'">Rod_cable_analogy_big.m</a> - Bigger mesh for the above
%   <a href="matlab: edit 'aplate_vibration_w_shift.m'">aplate_vibration_w_shift.m</a> - 
%   <a href="matlab: edit 'bendt4_b.m'">bendt4_b.m</a> - Beam bending with T4 elements
%   <a href="matlab: edit 'clsqlconc.m'">clsqlconc.m</a> - Clamped square plate with center force,
%   <a href="matlab: edit 'clsqlconct.m'">clsqlconct.m</a> - Clamped square plate with center force, T10 elements
%   <a href="matlab: edit 'comp_plate_sym.m'">comp_plate_sym.m</a> - Composite plate with a symmetric layup
%   <a href="matlab: edit 'drum_t10.m'">drum_t10.m</a> - Circular clamped plate, free vibration, T10 elements
%   <a href="matlab: edit 'drum_t4.m'">drum_t4.m</a> - Circular clamped plate, free vibration
%   <a href="matlab: edit 'mast4_a.m'">mast4_a.m</a> - Computation of T4 element mass
%   <a href="matlab: edit 'neinastranb.m'">neinastranb.m</a> - Beam deflection
%   <a href="matlab: edit 'onet4_a.m'">onet4_a.m</a> - Single T4 element problem
%   <a href="matlab: edit 'onet4_b.m'">onet4_b.m</a> - Single T4 element problem
%   <a href="matlab: edit 'pinchcyl.m'">pinchcyl.m</a> - Pinched cylinder shell problem
%   <a href="matlab: edit 'pinchcyl27.m'">pinchcyl27.m</a> - Pinched cylinder shell problem, H27 elements
%   <a href="matlab: edit 'pinchcyl64.m'">pinchcyl64.m</a> - Pinched cylinder shell problem, H64 elements
%   <a href="matlab: edit 'pinchsphere.m'">pinchsphere.m</a> - Pinched sphere
%   <a href="matlab: edit 'pinchsphere64.m'">pinchsphere64.m</a> - Pinched sphere, H64 elements
%   <a href="matlab: edit 'plate_vibration_w_shift.m'">plate_vibration_w_shift.m</a> - Vibration of cantilevered plate
%   <a href="matlab: edit 'rltb.m'">rltb.m</a> - Incompressible material beam
%   <a href="matlab: edit 'rltb_ldlt.m'">rltb_ldlt.m</a> - Incompressible material beam, alternative solar
%   <a href="matlab: edit 't4eigm.m'">t4eigm.m</a> - Tetrahedron stiffness matrix eigenvalue
%   <a href="matlab: edit 'thickplate_with_stress.m'">thickplate_with_stress.m</a> - Thick plate, visualize stress
%   <a href="matlab: edit 'tuning_fork.m'">tuning_fork.m</a> - Free vibration of a tuning fork
%   <a href="matlab: edit 'tuning_fork_w_shift.m'">tuning_fork_w_shift.m</a> - Free vibration of a tuning fork
%   <a href="matlab: edit 'twist_t10.m'">twist_t10.m</a> - Twisted composite rod, T10 element
%   <a href="matlab: edit 'twist_t4.m'">twist_t4.m</a> - Twisted composite rod, T4 element
