L=6.13;
W= 0.2;
H= 0.61;
theta= -0.2;
J=13;

[fens,gcells] = T4_block(L,W,H,6,1,2);

geom = field(struct ('name',['geom'], 'dim', 3, 'fens',fens));
x=get(geom,'values');
u = [-theta*(-x(:,1).^0+2*x(:,1)/L).*x(:,3),0*x(:,1),theta*L*(-x(:,1)/L +x(:,1).^2/L^2)];
u=field(struct ('name',['u'], 'dim', 3, 'data',u));
bg=mesh_bdry(gcells);
    bfeb = feblock(struct ('gcells',bg));
    gv=graphic_viewer;
    gv=reset (gv,[]);
draw(bfeb,gv, struct ('x', geom,'u',u,'facecolor','none'));
bg=mesh_bdry(subset(gcells,J));
    bfeb = feblock(struct ('gcells',bg));
draw(bfeb,gv, struct ('x', geom,'u',u,'facecolor','r'));
        draw_axes(gv,[])
conn =        get(subset(gcells,J),'conn')
x=gather(geom,conn,'values','noreshape')       
U=gather(u,conn,'values','noreshape')       
        
X= [x, ones(4,1)]
A=inv(X);
A(1:3,:)'

Nder = bfundpar (subset(gcells,J), [0,0,0])
Ndersp = bfundsp (subset(gcells,J), Nder, x)

gradN =A(1:3,1)'
B_1 =[gradN(1),0,0;
0,gradN(2),0;
0,0,gradN(3);
gradN(2),gradN(1),0;
gradN(3),0,gradN(1);
0,gradN(3),gradN(2)]
gradN =A(1:3,2)'
B_2 =[gradN(1),0,0;
0,gradN(2),0;
0,0,gradN(3);
gradN(2),gradN(1),0;
gradN(3),0,gradN(1);
0,gradN(3),gradN(2)]
gradN =A(1:3,3)'
B_3 =[gradN(1),0,0;
0,gradN(2),0;
0,0,gradN(3);
gradN(2),gradN(1),0;
gradN(3),0,gradN(1);
0,gradN(3),gradN(2)]
gradN =A(1:3,4)'
B_4 =[gradN(1),0,0;
0,gradN(2),0;
0,0,gradN(3);
gradN(2),gradN(1),0;
gradN(3),0,gradN(1);
0,gradN(3),gradN(2)]

nfn=4;
B = zeros(6,nfn*3);
for i= 1:nfn
    k=3*(i-1);
    B(1,k+1)= Ndersp(i,1);
    B(2,k+2)= Ndersp(i,2);
    B(3,k+3)= Ndersp(i,3) ;
    B(4,k+1)= Ndersp(i,2); B(4,k+2)= Ndersp(i,1);
    B(5,k+1)= Ndersp(i,3); B(5,k+3)= Ndersp(i,1);
    B(6,k+2)= Ndersp(i,3); B(6,k+3)= Ndersp(i,2);
end
U=gather(u,conn,'values')

Eps=B*U
B_1*U(1,:)'

assignin('caller','faesor_test_passed',(norm([0.019902120717781
                   0
                   0
                   0
  -0.033333333333333
                   0]-Eps)<1e-12)) 
