
% Akiko Yaoita, Tadaharu Adachi and Akihiko Yamaji, Determination of elastic moduli for a spherical specimen by resonant ultrasound spectroscopy
% NDT & E International, Volume 38, Issue 7, October 2005, Pages 554-560, doi:10.1016/j.ndteint.2005.01.010
% 
% [1] Richard H. Vogt and Werner G. Neubauer, Relationship between acoustic
% reflection and vibrational modes of  elastic spheres,  


Es= 69000;%Aluminum material parameters, [MPa]
 rhos= 2.73e-9;% Aluminum material parameters, [1000*kg/mm^3]
 nus=0.33;%Aluminum material parameters
c_T=sqrt(Es/rhos /2/(1+ nus));
 R=500;% radius of the sphere, millimeters
 kappa_T= [2.6,3.6, 3.95];
f=kappa_T*c_T/(2*pi*R)

% Table 1 in Visualization of elastic vibrations in solid structures, Hickling
%  k =wave number in water, cw=1440 m/s
cw=1440000;
% k=omega/cw 
% k*R= 5.61 
f= 5.610/(2*pi*R)*cw 
% k*R= 5.61 

